List Logs

GET
https://reloop.sh/api/logs/v1/list

Query Parameters

level"debug""info""warn""error""fatal"

Possible values: debug | info | warn | error | fatal

eventstring

Filter by event name (partial match)

status_codestring

Filter by status code (number or 'success', 'error')

searchstring

Search across event name and metadata

organization_idstring
start_datestring

Filter logs from this date (ISO 8601)

end_datestring

Filter logs until this date (ISO 8601)

limitstringnumber

Maximum number of log entries to return

  • Minimum value: 1
  • Maximum value: 100
pagestringnumber

Page number for pagination

  • Minimum value: 1
servicestring

Filter by source service (api_key, domain, mailing…)

actionstring

Filter by action verb (created, deleted, sent…)

resource_typestring

Filter by resource type (api_key, domain, email…)

resource_idstring

Filter by specific resource ID

actor_type"user""api_key""system"

Possible values: user | api_key | system

actor_idstring

Filter by actor ID (user_id or api_key_id)

environment"production""development""test"

Possible values: production | development | test

const response = await fetch("https://api.reloop.sh/api/logs/v1/?page=1&limit=10", {
  method: "GET",
  headers: {
    "x-api-key": "rl_123456789"
  }
});

const logs = await response.json();
{
  "logs": [
    {
      "uuid": "example_uuid",
      "event": "evt_123456789",
      "level": "example_level",
      "trace_id": "example_trace_id",
      "metadata": null,
      "status_code": 0,
      "created_at": "2026-03-23T10:00:00.000Z",
      "requestDetails": null,
      "request_body": null,
      "actor_type": "example_actor_type",
      "actor_id": "example_actor_id",
      "resource_type": "example_resource_type",
      "resource_id": "example_resource_id",
      "service": "example_service",
      "action": "example_action",
      "ip_address": "example_ip_address",
      "user_agent": "example_user_agent",
      "environment": "example_environment"
    }
  ],
  "count": 0,
  "stats": {
    "debug": 0,
    "info": 0,
    "warn": 0,
    "error": 0,
    "fatal": 0
  }
}

Was this page helpful?

Edit this page